


package com.vektorsoft.demux.samples.extension;

import com.vektorsoft.demux.core.app.DMXAbstractActivator;
import com.vektorsoft.demux.core.app.DMXAdapterTrackerHandler;
import java.util.Properties;
import org.osgi.framework.BundleContext;

/**
 *
 * @author Vladimir Djurovic
 */
public class SampleActivator extends DMXAbstractActivator {
    
    private Properties props;

    @Override
    protected void onBundleStart(BundleContext ctx) {
        props = new Properties();
        props.put("sample.prop", "Base value");
        props.putAll(extensionConfig.getActivatorConfig());
        System.out.println("Activator properties: " + props);
    }

    @Override
    protected void onBundleStop(BundleContext ctx) {
        
    }

    @Override
    public DMXAdapterTrackerHandler getHandler() {
        return new SampleTrackerHandler();
    }

}
